Package org.drinkless.tdlib

# Class TdApi.MessageCall

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageCall

Enclosing class:
  `TdApi`

public static class TdApi.MessageCall extends TdApi.MessageContent
A message with information about an ended call.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.CallDiscardReason`
  `discardReason`
  Reason why the call was discarded.
  `int`
  `duration`
  Call duration, in seconds.
  `boolean`
  `isVideo`
  True, if the call was a video call.
  `long`
  `uniqueId`
  Persistent unique call identifier; 0 for calls from other devices, which can't be passed as inputCallFromMessage.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageCall()`
  A message with information about an ended call.
  `MessageCall(long uniqueId, boolean isVideo, TdApi.CallDiscardReason discardReason, int duration)`
  A message with information about an ended call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### uniqueId

    public long uniqueId
    Persistent unique call identifier; 0 for calls from other devices, which can't be passed as inputCallFromMessage.

  - ### isVideo

    public boolean isVideo
    True, if the call was a video call.

  - ### discardReason

    public TdApi.CallDiscardReason discardReason
    Reason why the call was discarded.

  - ### duration

    public int duration
    Call duration, in seconds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageCall

    public MessageCall()
    A message with information about an ended call.

  - ### MessageCall

    public MessageCall(long uniqueId, boolean isVideo, TdApi.CallDiscardReason discardReason, int duration)
    A message with information about an ended call.
    Parameters:
      `uniqueId` - Persistent unique call identifier; 0 for calls from other devices, which can't be passed as inputCallFromMessage.
      `isVideo` - True, if the call was a video call.
      `discardReason` - Reason why the call was discarded.
      `duration` - Call duration, in seconds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR